## exfat-utils 1.0.1

=== SConstruct ===
#
#	SConstruct (10.09.09)
#	SConscript for all components.
#
#	Copyright (C) 2010-2013  Andrew Nayenko
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os
import platform
import SCons

env = Environment(**ARGUMENTS)
for var in ['PATH', 'SYSROOT']:
	if var in os.environ:
		env['ENV'][var] = os.environ[var]

destdir = env.get('DESTDIR', '/sbin');
libs = ['exfat']
libfuse = 'fuse'

if not env.GetOption('clean'):
	conf = Configure(env)

	if 'AR' in os.environ:
		conf.env.Replace(AR = os.environ['AR'])
	if 'RANLIB' in os.environ:
		conf.env.Replace(RANLIB = os.environ['RANLIB'])
	if 'CC' in os.environ:
		conf.env.Replace(CC = os.environ['CC'])
	if 'CCFLAGS' in os.environ:
		conf.env.Replace(CCFLAGS = os.environ['CCFLAGS'])
	# Set default CCFLAGS for known compilers
	if not conf.env['CCFLAGS']:
		if conf.env['CC'] == 'gcc':
			conf.env.Replace(CCFLAGS = '-Wall -O2 -ggdb -std=c99')
		elif conf.env['CC'] == 'clang':
			conf.env.Replace(CCFLAGS = '-Wall -O2 -g -std=c99')
	if 'CPPFLAGS' in os.environ:
		conf.env.Replace(CPPFLAGS = os.environ['CPPFLAGS'])
	conf.env.Append(CPPDEFINES = {'_FILE_OFFSET_BITS' : 64})
	conf.env.Append(CPPPATH = ['libexfat'])
	if 'LDFLAGS' in os.environ:
		conf.env.Append(LINKFLAGS = os.environ['LDFLAGS'])
	conf.env.Append(LIBPATH = ['libexfat'])

	# GNU/Linux requires _BSD_SOURCE define for vsyslog(), _XOPEN_SOURCE >= 500
	# for pread(), pwrite(), snprintf(), strdup(), etc. Everything needed is
	# enabled by _GNU_SOURCE.
	if platform.system() == 'Linux':
		conf.env.Append(CPPDEFINES = '_GNU_SOURCE');

	# Use 64-bit inode numbers (introduced in Mac OS X 10.5 Leopard). Require
	# OSXFUSE (http://osxfuse.github.com).
	if platform.system() == 'Darwin':
		conf.env.Append(CPPDEFINES = '_DARWIN_USE_64_BIT_INODE')
		conf.env.Append(CPPDEFINES = {'__DARWIN_UNIX03' : 1})
		conf.env.Append(CPPPATH = ['/usr/local/include/osxfuse'])
		conf.env.Append(CFLAGS    = '-mmacosx-version-min=10.5')
		conf.env.Append(LINKFLAGS = '-mmacosx-version-min=10.5')
		libfuse = 'osxfuse_i64'

	# FreeBSD does not support block devices, only raw devices. Ublio is
	# required for unaligned I/O and caching.
	if platform.system() == 'FreeBSD':
		conf.env.Append(CPPDEFINES = 'USE_UBLIO')
		libs.append('ublio')
		conf.env.Append(CPPPATH = ['/usr/local/include'])
		conf.env.Append(LIBPATH = ['/usr/local/lib'])

	if not conf.CheckCC():
		print '''
	A working C compiler is needed very much.
'''
		Exit(1)

	if not conf.CheckTypeSize('off_t', '#include <sys/types.h>', 'C', 8):
		print '''
	The size of off_t type must be 64 bits. File systems larger than
	2 GB will be corrupted with 32-bit off_t.
'''
		Exit(1)

	env = conf.Finish()



def make_symlink(dir, target, link_name):
	workdir = os.getcwd()
	os.chdir(dir)
	try:
		os.remove(link_name)
	except OSError:
		pass
	os.symlink(target, link_name)
	os.chdir(workdir)

symlink = SCons.Action.ActionFactory(make_symlink,
		lambda dir, target, link_name:
				'make_symlink("%s", "%s", "%s")' % (dir, target, link_name))

def program(pattern, output, alias, libs):
	sources = Glob(pattern)
	if not sources:
		return
	target = env.Program(output, sources, LIBS = libs)
	if alias:
		Clean(Alias('install', Install(destdir, target),
				symlink(destdir, os.path.basename(output), alias)),
				destdir + '/' + alias)
	else:
		Alias('install', Install(destdir, target))

env.Library('libexfat/exfat', Glob('libexfat/*.c'))

program('fuse/*.c', 'fuse/mount.exfat-fuse', 'mount.exfat', [libs + [libfuse]])
program('dump/*.c', 'dump/dumpexfat', None, libs)
program('fsck/*.c', 'fsck/exfatfsck', 'fsck.exfat', libs)
program('mkfs/*.c', 'mkfs/mkexfatfs', 'mkfs.exfat', libs)
program('label/*.c', 'label/exfatlabel', None, libs)

## exfat-utils 1.2.3

=== debian/changelog ===
exfat-utils (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 22 Dec 2015 14:16:09 +0100

exfat-utils (1.2.2-1) unstable; urgency=low

  * New upstream release.
    + Drop patch kfreebsd-compat, applied upstream.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 06 Dec 2015 14:40:25 +0100

exfat-utils (1.2.1-2) unstable; urgency=low

  * Change to source format 3.0 quilt.
  * Add d/patches/kfreebsd-compat so we can build on GNU/kfreebsd.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 08 Oct 2015 14:34:03 +0200

exfat-utils (1.2.1-1) unstable; urgency=low

  * New upstream release.
    + Changes from scons to autotools
    + Includes a fix for CVE-2015-8026
  * Remove d/install, no longer required.
  * Remove old scons overrides from d/rules.
  * Build-Depend on autotools-dev and pkg-config instead of scons.
  * Set --sbindir=/sbin to stay consistent with the current install location.
  * Update debian/copyright.
  * Readd debian/watch pointing now at the github release page.
  * Update the Homepage field in d/control.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 07 Oct 2015 12:15:27 +0200

exfat-utils (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 3.9.6 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 20 Apr 2015 10:50:54 +0200

exfat-utils (1.1.0-2) unstable; urgency=low

  * Remove debian/watch - recent changes at Google code required
    different download links which do not contain readable hrefs.
  * Extent debian/copyright up to 2014.
  * Update debian/copyright license statement - with 1.1.0 upstream
    relicensed from GPLv3 to GPLv2 or later.
  * Update link in debian/copyright to the download location.
  * Add "-D_GNU_SOURCE" unconditionally to the list of CCFLAGS, needed
    to build on kfreebsd.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 01 Sep 2014 09:46:12 +0200

exfat-utils (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #759156)
  * Standards-Version: 3.9.5
  * Added "-Wall -std=c99" to the CFLAGS from the list of default
    flags given in the upstream SConstruct file.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 25 Aug 2014 20:23:59 +0200

exfat-utils (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Update all years in debian/copyright.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 07 Feb 2013 20:24:34 +0100

exfat-utils (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Remove my bogus -pie from hardening-flags for real.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 23 Jan 2013 21:05:11 +0100

exfat-utils (0.9.8-3) experimental; urgency=low

  * Revert the change from 0.9.8-2, the correct fix is
    to assign CFLAGS to CCFLAGS so the correct set of common
    flags will be picked up by scons.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 25 Oct 2012 17:14:58 +0200

exfat-utils (0.9.8-2) experimental; urgency=low

  * Build without -fPIE - hardening flags -pie.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 25 Oct 2012 12:46:46 +0200

exfat-utils (0.9.8-1) experimental; urgency=low

  * New upstream release.
    + The mkfs utility was rewritten and can now
      create filesystems up to several exabytes.
  * Dropped all patches - merged upstream.
  * Dropped all usage of quilt - currently not required.
  * No longer use CFLAGS as CCFLAGS, the SConstruct file
    now honors CCFLAGS.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 12 Aug 2012 20:05:31 +0200

exfat-utils (0.9.7-2) unstable; urgency=low

  * Move manual link creation from debian/rules to debian/links
    and thus make use of dh_link.
  * Switch dh compat level from 8 to 9.
  * Enable all hardening flags via DEB_BUILD_MAINT_OPTIONS.
  * Export CFLAGS as CCFLAGS which is honored by the current
    SConstruct file.
  * Add debian/patches/honor-cppflags - scons should use exported
    CPPFLAGS.
  * Add debian/patches/utf16-fix - fix handling of characters beyond BMP.
    Thanks to Vladimir Serbinenko <phcoder@gmail.com>.
  * Add build-dep on quilt, use dh quilt addon in debian/rules.
  * Add README.source to reference quilt.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 21 May 2012 21:19:35 +0200

exfat-utils (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3 - no changes required.
  * Remove config.log, in the clean target (via override dh_auto_clean).

 -- Sven Hoexter <hoexter@debian.org>  Fri, 09 Mar 2012 21:19:25 +0100

exfat-utils (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 14 Jan 2012 18:21:18 +0100

exfat-utils (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #625611)

 -- Sven Hoexter <hoexter@debian.org>  Mon, 02 Jan 2012 12:59:11 +0100

=== debian/control ===
Source: exfat-utils
Section: otherosfs
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, pkg-config
Standards-Version: 3.9.6
Homepage: https://github.com/relan/exfat
Vcs-Git: git://git.sven.stormbind.net/git/sven/exfat-utils.git
Vcs-Browser: http://git.sven.stormbind.net/?p=sven/exfat-utils.git

Package: exfat-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exfat-fuse
Description: utilities to create, check, label and dump exFAT filesystem
 Utilities to manage extended file allocation table filesystem.
 This package provides tools to create, check and label the
 filesystem. It contains
  - dumpexfat to dump properties of the filesystem
  - exfatfsck / fsck.exfat to report errors found on a exFAT filesystem
  - exfatlabel to label a exFAT filesystem
  - mkexfatfs / mkfs.exfat to create a exFAT filesystem.

=== debian/watch ===
version=3
https://github.com/relan/exfat/releases .*/exfat-utils-(\d\S*)\.tar\.gz

## exfat-utils 1.2.5

=== debian/changelog ===
exfat-utils (1.2.5-2) unstable; urgency=medium

  * Move from autotools-dev to dh-autoreconf to ease backporting.
    Patch provided by Nicholas D Steeves. (Closes: #851922)

 -- Sven Hoexter <hoexter@debian.org>  Fri, 20 Jan 2017 11:20:53 +0100

exfat-utils (1.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 07 Dec 2016 17:56:36 +0100

exfat-utils (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 25 Jun 2016 14:19:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), pkg-config, dh-autoreconf
+Standards-Version: 3.9.8
 Homepage: https://github.com/relan/exfat
 Vcs-Git: git://git.sven.stormbind.net/git/sven/exfat-utils.git
-Vcs-Browser: http://git.sven.stormbind.net/?p=sven/exfat-utils.git
+Vcs-Browser: https://git.sven.stormbind.net/?p=sven/exfat-utils.git
 
 Package: exfat-utils
 Architecture: any

## exfat-utils 1.2.7

=== debian/changelog ===
exfat-utils (1.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.0.0.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 25 Jun 2017 12:15:14 +0200

exfat-utils (1.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 15 May 2017 17:34:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
 Build-Depends: debhelper (>= 9), pkg-config, dh-autoreconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/relan/exfat
 Vcs-Git: git://git.sven.stormbind.net/git/sven/exfat-utils.git
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/exfat-utils.git

## exfat-utils 1.2.8

=== debian/changelog ===
exfat-utils (1.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Increment dh compat level to 11.
  * Remove --with autoreconf from dh invocation, it's default since
    compat level 10.
  * Update VCS-Git URL to a working https endpoint.
  * Update Standards-Version to 4.1.3.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 03 Feb 2018 22:43:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, dh-autoreconf
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), pkg-config
+Standards-Version: 4.1.3
 Homepage: https://github.com/relan/exfat
-Vcs-Git: git://git.sven.stormbind.net/git/sven/exfat-utils.git
+Vcs-Git: https://git.sven.stormbind.net/exfat-utils.git
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/exfat-utils.git
 
 Package: exfat-utils

## exfat-utils 1.3.0

=== debian/changelog ===
exfat-utils (1.3.0-2) unstable; urgency=medium

  * Update debhelper compat level to 13.
  * Update to Standards-Version 4.5.0 - no changes required.
  * Update debian/copyright for the year 2020.
  * Conflict with the exfatprogs package.
  * Update package description to emphasize the difference between
    exfat-utils and exfatprogs as independent implementations.
  * Add Rules-Requires-Root: no to debian/control.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 04 Jul 2020 20:48:11 +0200

exfat-utils (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright up to 2018.
  * Increase Standards-Version to 4.2.1 - no changes required.
  * Move debhelper compat level definition to Build-Depends.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 31 Oct 2018 22:43:17 +0100

=== debian/control ===
Source: exfat-utils
Section: otherosfs
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper-compat (= 13), pkg-config
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/relan/exfat
Vcs-Git: https://git.sven.stormbind.net/exfat-utils.git
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/exfat-utils.git

Package: exfat-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: exfatprogs
Recommends: exfat-fuse
Description: utilities to create, check, label and dump exFAT filesystem
 Utilities to manage extended file allocation table filesystem.
 This package provides tools to create, check, dump and label the
 filesystem. It contains
  - dumpexfat to dump properties of the filesystem
  - exfatfsck / fsck.exfat to report errors found on a exFAT filesystem
  - exfatlabel to label a exFAT filesystem
  - mkexfatfs / mkfs.exfat to create a exFAT filesystem.
 The tools included in this package are the exfat-utils developed
 as an independent implementation by the exfat-fuse author, the tools
 build by Samsung engineers for the Linux exFAT implementation are
 available in the exfatprogs package.
